      module bh02   
      use hcode  
      use coordinates

      type GF3
      character (len=64), pointer           :: name
      integer, pointer, dimension(:)        :: ddim
      real, pointer, dimension(:,:,:)     :: data
      type  (COORDS), pointer, dimension(:) :: c
      end type GF3


      type GF3T
      integer                               :: n_t
      real, pointer, dimension(:)           :: t
      type (GF3), pointer, dimension (:)    :: tlev
      end type GF3T

      type GF3TL
      character (len=256)                   :: name
      integer                               :: n_gfcn
      type (GF3T), pointer, dimension (:)   :: gfcn
      end type GF3TL 

      end module bh02





